package com.cym.utils.cert;

import lombok.Data;

import java.util.List;

/**
 * @author ZhangSan_Plus
 * @version 1.0
 * @className CertExportEmailVO
 * @description 
 * @date 2022/8/29 15:17
 **/
@Data
public class CertExportEmailVO {

    /**
     * 证书响应状态
     */
    private String success;
    private String ctUrl;
    private String commonUrl;
    /**
     * 信任状态
     */
    private String trustStatus;
    /**
     * 通用名称
     */
    private String commonName;
    /**
     * 加密算法
     */
    private String encryptionAlgorithm;
    /**
     * 签名算法
     */
    private String signatureAlgorithm;
    /**
     * 证书透明(CT)
     */
    private String certificateTransparency;
    /**
     * 吊销状态
     */
    private String revocationStatus;
    private String ocspBindState;
    private String ocspMustBind;
    private String isSNI;
    private String weakKey;
    //主题信息
    private String subjectCN;
    private String subjectO;
    private String subjectOU;
    private String subjectL;
    private String subjectST;
    private String subjectC;
    //签发者信息
    private String issueCN;
    private String issueO;
    private String issueC;
    private String issueOU;
    //证书信息
    private String serialNumber;
    private String rootCert;
    private String algorithm;
    private String certificateType;
    private String certificateBrand;
    private String privateKeyLen;
    private String SHA1Fingerprint;
    private String SHA256Fingerprint;
    private String startTime;
    private String endTime;
    private String validityPeriod;
    private String extKeyUsage;
    private List<String> sans;
    private String ocspUrl;
    private String crlUrl;
    private String caUrl;
    private String publicKey;
    private String openSSL;
    private List<CertificateChain> certificateChains;
	public String getSuccess() {
		return success;
	}
	public void setSuccess(String success) {
		this.success = success;
	}
	public String getCtUrl() {
		return ctUrl;
	}
	public void setCtUrl(String ctUrl) {
		this.ctUrl = ctUrl;
	}
	public String getCommonUrl() {
		return commonUrl;
	}
	public void setCommonUrl(String commonUrl) {
		this.commonUrl = commonUrl;
	}
	public String getTrustStatus() {
		return trustStatus;
	}
	public void setTrustStatus(String trustStatus) {
		this.trustStatus = trustStatus;
	}
	public String getCommonName() {
		return commonName;
	}
	public void setCommonName(String commonName) {
		this.commonName = commonName;
	}
	public String getEncryptionAlgorithm() {
		return encryptionAlgorithm;
	}
	public void setEncryptionAlgorithm(String encryptionAlgorithm) {
		this.encryptionAlgorithm = encryptionAlgorithm;
	}
	public String getSignatureAlgorithm() {
		return signatureAlgorithm;
	}
	public void setSignatureAlgorithm(String signatureAlgorithm) {
		this.signatureAlgorithm = signatureAlgorithm;
	}
	public String getCertificateTransparency() {
		return certificateTransparency;
	}
	public void setCertificateTransparency(String certificateTransparency) {
		this.certificateTransparency = certificateTransparency;
	}
	public String getRevocationStatus() {
		return revocationStatus;
	}
	public void setRevocationStatus(String revocationStatus) {
		this.revocationStatus = revocationStatus;
	}
	public String getOcspBindState() {
		return ocspBindState;
	}
	public void setOcspBindState(String ocspBindState) {
		this.ocspBindState = ocspBindState;
	}
	public String getOcspMustBind() {
		return ocspMustBind;
	}
	public void setOcspMustBind(String ocspMustBind) {
		this.ocspMustBind = ocspMustBind;
	}
	public String getIsSNI() {
		return isSNI;
	}
	public void setIsSNI(String isSNI) {
		this.isSNI = isSNI;
	}
	public String getWeakKey() {
		return weakKey;
	}
	public void setWeakKey(String weakKey) {
		this.weakKey = weakKey;
	}
	public String getSubjectCN() {
		return subjectCN;
	}
	public void setSubjectCN(String subjectCN) {
		this.subjectCN = subjectCN;
	}
	public String getSubjectO() {
		return subjectO;
	}
	public void setSubjectO(String subjectO) {
		this.subjectO = subjectO;
	}
	public String getSubjectOU() {
		return subjectOU;
	}
	public void setSubjectOU(String subjectOU) {
		this.subjectOU = subjectOU;
	}
	public String getSubjectL() {
		return subjectL;
	}
	public void setSubjectL(String subjectL) {
		this.subjectL = subjectL;
	}
	public String getSubjectST() {
		return subjectST;
	}
	public void setSubjectST(String subjectST) {
		this.subjectST = subjectST;
	}
	public String getSubjectC() {
		return subjectC;
	}
	public void setSubjectC(String subjectC) {
		this.subjectC = subjectC;
	}
	public String getIssueCN() {
		return issueCN;
	}
	public void setIssueCN(String issueCN) {
		this.issueCN = issueCN;
	}
	public String getIssueO() {
		return issueO;
	}
	public void setIssueO(String issueO) {
		this.issueO = issueO;
	}
	public String getIssueC() {
		return issueC;
	}
	public void setIssueC(String issueC) {
		this.issueC = issueC;
	}
	public String getIssueOU() {
		return issueOU;
	}
	public void setIssueOU(String issueOU) {
		this.issueOU = issueOU;
	}
	public String getSerialNumber() {
		return serialNumber;
	}
	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}
	public String getRootCert() {
		return rootCert;
	}
	public void setRootCert(String rootCert) {
		this.rootCert = rootCert;
	}
	public String getAlgorithm() {
		return algorithm;
	}
	public void setAlgorithm(String algorithm) {
		this.algorithm = algorithm;
	}
	public String getCertificateType() {
		return certificateType;
	}
	public void setCertificateType(String certificateType) {
		this.certificateType = certificateType;
	}
	public String getCertificateBrand() {
		return certificateBrand;
	}
	public void setCertificateBrand(String certificateBrand) {
		this.certificateBrand = certificateBrand;
	}
	public String getPrivateKeyLen() {
		return privateKeyLen;
	}
	public void setPrivateKeyLen(String privateKeyLen) {
		this.privateKeyLen = privateKeyLen;
	}
	public String getSHA1Fingerprint() {
		return SHA1Fingerprint;
	}
	public void setSHA1Fingerprint(String sHA1Fingerprint) {
		SHA1Fingerprint = sHA1Fingerprint;
	}
	public String getSHA256Fingerprint() {
		return SHA256Fingerprint;
	}
	public void setSHA256Fingerprint(String sHA256Fingerprint) {
		SHA256Fingerprint = sHA256Fingerprint;
	}
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	public String getValidityPeriod() {
		return validityPeriod;
	}
	public void setValidityPeriod(String validityPeriod) {
		this.validityPeriod = validityPeriod;
	}
	public String getExtKeyUsage() {
		return extKeyUsage;
	}
	public void setExtKeyUsage(String extKeyUsage) {
		this.extKeyUsage = extKeyUsage;
	}
	public List<String> getSans() {
		return sans;
	}
	public void setSans(List<String> sans) {
		this.sans = sans;
	}
	public String getOcspUrl() {
		return ocspUrl;
	}
	public void setOcspUrl(String ocspUrl) {
		this.ocspUrl = ocspUrl;
	}
	public String getCrlUrl() {
		return crlUrl;
	}
	public void setCrlUrl(String crlUrl) {
		this.crlUrl = crlUrl;
	}
	public String getCaUrl() {
		return caUrl;
	}
	public void setCaUrl(String caUrl) {
		this.caUrl = caUrl;
	}
	public String getPublicKey() {
		return publicKey;
	}
	public void setPublicKey(String publicKey) {
		this.publicKey = publicKey;
	}
	public String getOpenSSL() {
		return openSSL;
	}
	public void setOpenSSL(String openSSL) {
		this.openSSL = openSSL;
	}
	public List<CertificateChain> getCertificateChains() {
		return certificateChains;
	}
	public void setCertificateChains(List<CertificateChain> certificateChains) {
		this.certificateChains = certificateChains;
	}
    
    
}
